<?php
session_start();
ini_set('display_errors', '1');
ini_set('display_startup_errors', '1');
error_reporting(E_ALL);
if(!isset($_SESSION['user'])){
    header('Location:login.php');
}
require_once('../dbconnect.php');
require_once('../models/BackpackList.php');
$bpList=new BackpackList();    

if($_SERVER['REQUEST_METHOD']=="GET" && isset($_GET['query'])){
    $bpList->getBySearchQuery($conn,$_GET['query']);
} else{
    $bpList->getAllFromDatabase($conn);
}
if((isset($_GET['action']))&&$_GET['action']=='delete'){
    $bpList->deleteFromDatabaseById($conn,$_GET['id']);
    header('Location: ./backpack-list.php');
}
?>
<html>
    <head>
        <title>Content Management System</title>
        <meta charset="utf-8"/>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
        <link href="../assets/style.css" rel="stylesheet"/>
    </head>
    <body>
        <div class="container">
            <h2>Система керування контентом</h2>
            <h1>Результати пошуку</h1>
            <nav class="navbar-nav d-flex flex-row">
                <li class="nav-item"><a class="nav-item" href="category-list.php">Список категорій</a></li>
                <li class="nav-item"><a class="nav-item" href="add-category.php">Додати категорію</a></li>
                <li class="nav-item"><a class="nav-item" href="parameter-list.php">Список параметрів</a></li>
                <li class="nav-item"><a class="nav-item" href="add-parameter.php">Додати параметр</a></li>
                <li class="nav-item"><a class="nav-item" href="backpack-list.php">Список рюкзаків</a></li>
                <li class="nav-item"><a class="nav-item" href="add-backpack.php">Додати рюкзак</a></li>
                <li class="nav-item"><a class="nav-item" href="logout.php">Вийти</a></li>
            </nav>
            <div class="mt-3">
                <form action="./searchresult.php" method="GET">
                    <input type="search" name="query" required/>
                    <input type="submit" value="Пошук"/>
                </form>
                <table class="table">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Бренд</th>
                            <th>Модель</th>
                            <th>Ціна</th>
                            <th>Категорія</th>
                            <th>Параметри</th>
                            <th>Дії</th>
                        </tr>
                    </thead>
                    <tbody><?php echo $bpList->exportAsTableData();?></tbody>
                </table>
            </div>
        </div>
    </body>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
</html>